-- find 
SELECT *
FROM availability
WHERE dayofweek = "Thursday"
AND DAYOFWEEK(startTime) <> 5;


--fix

UPDATE availability
SET dayofweek = CASE DAYOFWEEK(startTime)
    WHEN 1 THEN 'Sunday'
    WHEN 2 THEN 'Monday'
    WHEN 3 THEN 'Tuesday'
    WHEN 4 THEN 'Wednesday'
    WHEN 5 THEN 'Thursday'
    WHEN 6 THEN 'Friday'
    WHEN 7 THEN 'Saturday'
END
WHERE dayofweek != CASE DAYOFWEEK(startTime)
    WHEN 1 THEN 'Sunday'
    WHEN 2 THEN 'Monday'
    WHEN 3 THEN 'Tuesday'
    WHEN 4 THEN 'Wednesday'
    WHEN 5 THEN 'Thursday'
    WHEN 6 THEN 'Friday'
    WHEN 7 THEN 'Saturday'
END;